Innehåll

# Logiska funktioner

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

Så här använder du det här kommandot...

Insert - Function - Category Logical

### ÄRSAKNAD

Returnerar SANT om alla celler innehåller felvärdet #SAKNAS (värdet finns inte).

Om ett fel inträffar returnerar funktionen FALSKT.

#### Syntax

ÄRSAKNAD(Värde)

värde är värdet eller ett uttryck som ska kontrolleras.

#### Example

=ÄRSAKNAD(D3) returnerar FALSKT som ett resultat.

### OMFEL

Returns the value if the cell does not contain an error value, or the alternative value if it does.

This function is available since LibreOffice 4.0.

#### Syntax

IFERROR(Value; Alternate_value)

Värde är det värde eller uttryck som ska returneras om det inte är lika med eller resulterar i ett fel.

Alternativt_värde är det värde eller uttryck som ska returneras om uttrycket eller värdet från Värde är lika med eller resulterar i ett fel.

#### Example

=OMFEL(C8;C9) om cell C8 innehåller =1/0 returneras värdet i C9, eftersom 1/0 är ett fel.

=OMFEL(C8;C9) om cell C8 innehåller =13 returneras 13, eftersom värdet i C8 inte är något fel.

## IFS

IFS is a multiple IF-function.

## SWITCH

SWITCH compares expression with value1 to valuen and returns the result belonging to the first value that equals expression. If there is no match and default_result is given, that will be returned.

## ELLER

Returnerar SANT om minst ett argument är SANT. Den här funktionen returnerar FALSKT om alla argument har det logiska värdet FALSKT.

Argumenten är antingen själva logiska uttryck (SANT, 1<5, 2+3=7, B8<10) som returnerar logiska värden eller matriser (A1:C3) som innehåller logiska värden.

#### Syntax

OR(Logical 1 [; Logical 2 [; … [; Logical 255]]])

Logical 1; Logical 2; … ; Logical 255 are boolean values, references to cells or to cell ranges of logical values.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

De logiska värdena i posterna 12<11; 13>22 och 45=45 ska kontrolleras:

=ELLER(12<11;13>22;45=45) returnerar SANT.

=OR(FALSE();TRUE()) returns TRUE.

The array formula {=OR(B1:B10;C1:C10)} yields a one-dimensional value of FALSE when all components of B1:B10 and C1:C10 are FALSE. The array expression above does not produce the logical OR per element, and thus does not produce an array of logical values. To compute a logical OR of arrays per element use the + operator in array context. In the example, enter {=B1:B10+C1:C10}.

## FALSKT

Returnerar det logiska värdet FALSKT. Funktionen FALSKT() kräver inga argument och returnerar alltid det logiska värdet FALSKT.

#### Syntax

FALSKT()

#### Example

=FALSKT() returnerar FALSKT

=ICKE(FALSKT()) returnerar SANT

## ICKE

Komplementerar (inverterar) ett logiskt värde.

#### Syntax

ICKE(Logiskt värde)

Logiskt värde är alla värden som ska komplementeras.

#### Example

=ICKE(A). Om A=SANT så kommer ICKE(A) att returnera FALSKT.

## OCH

Returnerar SANT om alla argument har värdet SANT. Om minst ett av elementen är FALSKT, returneras värdet FALSKT.

Argumenten är antingen själva logiska uttryck (SANT, 1<5, 2+3=7, B8<10) som returnerar logiska värden eller matriser (A1:C3) som innehåller logiska värden.

#### Syntax

AND(Logical 1 [; Logical 2 [; … [; Logical 255]]])

Logical 1; Logical 2; … ; Logical 255 are boolean values, references to cells or to cell ranges of logical values.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

De logiska värdena i posterna 12<13, 14>12 och 7<6 ska kontrolleras:

=OCH(12<13;14>12;7<6) returnerar FALSKT.

=AND(FALSE();TRUE()) returns FALSE.

The array formula {=AND(B1:B10;C1:C10)} yields a one-dimensional value of TRUE when all components of B1:B10 and C1:C10 are TRUE. The array expression above does not produce the logical AND per element, and thus does not produce an array of logical values. To compute a logical AND of arrays per element use the * operator in array context. In the example, enter {=B1:B10*C1:C10}.

## OM

Anger ett logiskt test som ska utföras.

#### Syntax

IF(Test [; [ThenValue] [; [OtherwiseValue]]])

Test är vilket värde eller uttryck som helst som kan vara SANT eller FALSKT.

Sedan värde (valfritt) är det värde som returneras om det logiska testet är SANT.

Annars värde (valfritt) är det värde som returneras om det logiska testet är FALSKT.

I LibreOffice Calc-funktioner kan de parametrar som markeras som "valfria" bara utelämnas när inga efterföljande parametrar finns. I till exempel en funktion med fyra parametrar, där de två sista parametrarna markeras som "valfria", kan du utelämna parameter 4 eller parametrarna 3 och 4, men inte utelämna enbart parameter 3.

#### Example

=IF(A1>5;100;"too small") If the value in A1 is greater than 5, the value 100 is returned; otherwise, the text too small is returned.

=IF(A1>5;;"too small") If the value in A1 is greater than 5, the value 0 is returned because empty parameters are considered to be 0; otherwise, the text too small is returned.

=IF(A1>5;100;) If the value in A1 is less than 5, the value 0 is returned because the empty OtherwiseValue is interpreted as 0; otherwise 100 is returned.

## SANT

Det logiska värdet anges till SANT. Funktionen SANT() kräver inga argument och returnerar alltid det logiska värdet SANT.

#### Syntax

SANT()

#### Example

Om A=SANT och B=FALSKT visas följande exempel:

=OCH(A;B) returnerar FALSKT

=ELLER(A;B) returnerar SANT

=ICKE(OCH(A;B)) returnerar SANT

## XELLER

Returnerar sant om ett udda antal argument är lika med sant.

Argumenten är antingen själva logiska uttryck (SANT, 1<5, 2+3=7, B8<10) som returnerar logiska värden eller matriser (A1:C3) som innehåller logiska värden.

This function is available since LibreOffice 4.0.

#### Syntax

XOR(Logical 1 [; Logical 2 [; … [; Logical 255]]])

Logical 1; Logical 2; … ; Logical 255 are boolean values, references to cells or to cell ranges of logical values.

#### Example

=XOR(TRUE();TRUE()) returns FALSE

=XOR(TRUE();TRUE();TRUE()) returns TRUE

=XOR(FALSE();TRUE()) returns TRUE

Närliggande ämnen

Functions by Category